[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts&utm_content=banner)

# KendoReact Charts Library for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   It provides premium KendoReact components and features. You will need to install a license key when adding the package to your project. For more information, please refer to the [KendoReact My License page](https://www.telerik.com/kendo-react-ui/components/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts).
> -   To receive a license key, you need to either [purchase a license](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) or register for a [free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts). Doing so indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts).
> -   The 30-day free trial gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!
>
> [Start using KendoReact](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) and speed up your development process!
>
> If you're looking for free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).

The React Chart, part of KendoReact, renders a wide range of high-quality data visualizations including panning and zooming, export and styling options.

What's in this package (ToC):

-   [React Chart component](#react-chart-component)
-   [React Sankey component](#react-sankey-component)
-   [React Sparkline component](#react-sparkline-component)
-   [React StockChart component](#react-stockchart-component)
-   [React Charts Components Library Features](#react-charts-library-shared-features)
-   [Support Options](#support-options)
-   [Resources](#resources)

## React Chart Component

[The React Chart component](https://www.telerik.com/kendo-react-ui/components/charts/chart/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) found in KendoReact is a powerful data visualization tool that can fit into any application. This one component includes over 16 different types of charts, all with built-in support for interactivity, tooltips, zooming and panning, and much more. Available chart types include:

-   [React Area Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/area/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Bar Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/bar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Box Plot Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/box-plot/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Bubble Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/bubble/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Bullet Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/bullet/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Donut Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/donut/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Funnel Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/funnel/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Pyramid Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/pyramid/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Heatmap Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/heatmap/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Line Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/line/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Pie Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/pie/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Polar Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/polar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Radar Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/radar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Range Area Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/range-area/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Range Bar Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/range-bar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Scatter Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/scatter/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [React Waterfall Chart](https://www.telerik.com/kendo-react-ui/components/charts/series-types/waterfall/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)

## React Sankey Component

[The KendoReact Sankey component](https://www.telerik.com/kendo-react-ui/components/charts/sankey/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) is a highly customizable React component for visualizing the Sankey Diagram (also known as Sankey Chart) that is used for many use cases such as visualizing website traffic or budget analysis.

## React Sparkline Component

[The KendoReact Sparkline component](https://www.telerik.com/kendo-react-ui/components/charts/sparkline/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) is a light-weight chart that focuses on rendering the values in a very compact way. These graphs are ideal when developers need to show trends and want to focus more on value movements. Generally, Stockcharts include extensive touch support and a navigator pane for easy browsing of extended time periods.

## React StockChart Component

[The KendoReact StockChart component](https://www.telerik.com/kendo-react-ui/components/charts/stockchart/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) is a specialized for visualizing the price movement of a financial instrument over time.

## React Charts Components Library Features

Among the many features which the KendoReact Charts deliver are:

-   **Types**&mdash;You can choose from wide variety of types to render the data in the Chart (Line, Area, Bar, Column, Donut and many more).
-   **Axes**&mdash;The Charts provide very in-depth customization for its axes. You can customize over 100+ options for the category and the values axes of the Charts.
-   **Rendering modes**&mdash;You can render the Charts as SVG or Canvas.
-   **Export**&mdash;The Charts can be exported to an image, a PDF or a SVG, allowing to easily save them locally or on the server.
-   **Panning and Zooming**&mdash;The Chart enables the user to change the displayed range by panning and zooming.
-   **Customization**&mdash;The Charts are highly customizable with more than **1 thousand** customization options available.
-   [**Theme support**](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)&mdash;The KendoReact Charts, as well as all 100+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, and Default) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the KendoReact Charts, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Getting Started with the KendoReact Charts](https://www.telerik.com/kendo-react-ui/components/charts/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [API Reference of the KendoReact Charts](https://www.telerik.com/kendo-react-ui/components/charts/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-charts)

High-level component overview pages

-   [React Charts Component](https://www.telerik.com/kendo-react-ui/charts)
-   [React Sankey Component](https://www.telerik.com/kendo-react-ui/sankey)
-   [React Heatmap Chart Component](https://www.telerik.com/kendo-react-ui/heatmap)
-   [React Sparkline Component](https://www.telerik.com/kendo-react-ui/sparkline)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
